MediaWiki:Vector.css

aus Helmstedt-Wiki, der freien Enzyklopädie über den Landkreis Helmstedt
Zur Navigation springen Zur Suche springen

Hinweis – leere nach dem Speichern den Browser-Cache, um die Änderungen sehen zu können: Mozilla/Firefox/Safari: Strg + R (Mactaste + R bei Macintosh) drücken; Konqueror: F5 drücken; Opera: kompletten Cache unter Extras → Internetspuren löschen → Individuelle Auswahl leeren; Internet Explorer: Strg + F5

/* CSS an dieser Stelle wirkt sich auf den Vector-Skin aus. */

/*
 * Koordinaten und diverse andere Anzeigen oben rechts, siehe
 * [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 * Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 * deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 * Schriftgröße.
 * Der folgende Darstellungsfehler ist bekannt: Wenn die Fensterbreite kleiner
 * als 982px ist und die Schriftgröße des Wurzelelements wie üblich 16px ist,
 * überlappen sich die 17px hohen Icons der Gadgets „WikiMiniAtlas“ und
 * „OpenStreetMap“ mit der SiteNotice.
 */
#mw-content-text :is(#coordinates, #editcount, #shortcut),
body.ns-special #mw-content-text .specialpage-helplink {
	display: block;
	font-size: x-small;
	line-height: 1.5;
	position: absolute;
	right: 0;
	text-align: right;
	text-indent: 0;
	top: -7em;
	white-space: nowrap;
}

/* Korrektur Schriftart der Überschriften */
.mw-body #firstHeading,
.mw-body :is(h1, h2) {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    color: #262626;
}

/* tabelle-kopf-fixiert */
@media screen and (min-width: 721px) {
	table.wikitable.tabelle-kopf-fixiert th,
	table.wikitable.tabelle-kopf-fixiert tr.tabelle-zaehler-kopf::before {
		position: sticky;
		top: 0;
		z-index: 12;
	}
	table.wikitable.tabelle-kopf-fixiert {
		border-collapse: separate;
		border-spacing: 0;
		border-bottom-style: none;
		border-left-style: none;
	}
	table.wikitable.tabelle-kopf-fixiert th,
	table.wikitable.tabelle-kopf-fixiert td {
		border-right-style: none;
		border-top-style: none;
	}
}
@media screen and (min-width: 1000px) {
	html.client-js.vector-sticky-header-enabled table.wikitable.tabelle-kopf-fixiert th,
	html.client-js.vector-sticky-header-enabled table.wikitable.tabelle-kopf-fixiert tr.tabelle-zaehler-kopf::before {
		top: 3.125rem;
	}
}

@font-face {
    font-family: 'Text';
    src: url('https://d36tpukneudf4x.cloudfront.net/s/fonts/sport-thieme/FiraSans-Regular.woff2');
    font-display: swap;
}

body {

    --color-text-primary: #171717;
    --color-text-primary-rgb: 23, 23, 23;
    --color-text-link: #004884;
    --color-text-link-rgb: 0, 72, 132;
    --color-text-link-new: #EA3C05;
    --color-text-link-new-rgb: 234, 60, 5;
    --color-text-title-primary: #004884;
    --color-text-title-primary-rgb: 0, 72, 132;
    --color-gray-40: #d4e0e7;
    --color-gray-40-rgb: 212, 224, 231;
    --color-gray-20: #e9f0f3;
    --color-gray-20-rgb: 233, 240, 243;

    font-family: "Text", sans-serif;
    font-display: fallback;
    line-height: 1.1;

    color: var(--color-text-primary, #333);

    -webkit-font-smoothing: antialiased;

}

#mw-content-text {
    font-family: "Text", sans-serif !important;
    font-size: 1.1em;
    line-height: 1.4;
    letter-spacing: -0.01em;
}

#catlinks {
    border-radius:10px;
    padding: 6px 10px;
}

.mw-headline {
    font-family: "Title", sans-serif !important;
    border-bottom-color: var(--color-gray-40);
}

.firstHeading {
    font-family: "Title", sans-serif !important;
    border-bottom-color: var(--color-gray-40);
}

h1 {
    font-family: "Title", sans-serif;
    color: var(--color-text-title-primary);
    font-weight: normal;
    line-height: 1.3 !important;
    border-bottom-color: var(--color-gray-40);
}

h2,
h3,
h4,
h5,
h6 {
    font-family: "Title", sans-serif;
    font-weight: normal;
    line-height: 1.3 !important;
    border-bottom-color: var(--color-gray-40);
}

a {
    text-decoration: none;
    color: var(--color-text-link);
}

a.new {
    text-decoration: none;
    color: var(--color-text-link-new);
}

/* Navigationsleisten */
.NavHead,
.NavFrame,
.mw-parser-output #toc,
.mw-parser-output .toc {
    border-radius:10px;
}

.mw-parser-output .NavFrame .NavHead {
  background-color: #E9F0F3;
}

/* Radius der Gallery */
.mw-parser-output ul.gallery li.gallerybox .thumb,
.mw-parser-output ul.gallery li.gallerybox .thumbinner {
  border-radius: 10px;
}

.BoxenVerschmelzen {
    border-radius:10px;
    padding: 6px 10px;
}

/* Hauptframe-Rand */
.mw-page-container,
.mw-body {
  border-bottom-left-radius: 10px;
  border-color:  var(--color-gray-40);
}

/* Radius für Thumbnail-Rahmen */
.mw-parser-output figure.thumb .thumbinner,
.mw-parser-output .thumb .thumbinner {
  border-radius: 10px;
  overflow: hidden;
}